Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Query Parameters

page
integer
default:0

Zero-based page index (0..N)

Required range: x >= 0
size
integer
default:100

The size of the page to be returned

Required range: x >= 1
sort
string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

Paginated list of packages

id
string<uuid>
required

Unique identifier for this package

Example:

"3a68a467-8733-4c8d-a942-16ed7ec33018"

name
string
required

Display name of the package

Example:

"The works"

automaticOrder
boolean
required

When true, an equipment order is placed automatically when a person with this package is onboarded

Example:

false

approvalRequired
boolean
required

When true, orders from this package require manager approval before being processed

Example:

false

requireJustification
boolean
required

When true, order items in this package require a justification

Example:

false

active
boolean
required

Whether this package is currently active. Inactive packages cannot be used for new assignments

Example:

true

assignedTo
object
required

People and groups currently assigned to this package

skuIds
string<uuid>[]

List of SKU IDs included in this package; null when no SKUs are configured

Example:

"3cf416c1-1b0f-4344-9cec-ba9c9fe615c9"